*{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    font-size: 14px;
}

body{
    background-color: rgb(34, 27, 27);

    
}

.container{
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
}

header{
    height: 100vh;
    width: 200px;
    min-width: 200px;
    background-color: black;
    display: block;
    /* position: relative; */
    transform: translateX(0px);
    transition: transform 0.1s ease-in-out;
    
}


.icon-logo{
    position: absolute;
    top: 2%;
}
.icon-logo img,.icon-logo{
    height: 4.5rem;
    width: 11.5vw;

}

.icon-logo img{
    position: absolute;
    left: -20px;
}

.nav-links{
    display: flex;
    flex-wrap: nowrap;
    list-style: none;
    height: 100%;
    position: relative;
    flex-direction: column;
    
}
.nav-links li{
    margin-left: 10%;
}
.nav-links li a{
    text-decoration: none;

}
.Home{
    height: 1rem;
    position: absolute;
    top: 100px;
}
.Home a{
    color: rgb(255, 255, 255);
    height: 100%;
    font-size: 1.2rem;
}

.library{
    position: absolute;
    top: 170px;
}
.library a{
    color: white;
    font-size: 1.2rem;
}

.search-option{
    position: absolute;
    top: 135px;
}
.nav-links i{
    margin-right: 8px;
}
.search-option a,i{
    text-decoration: none;
    color: white;
    font-size: 1.2rem;
}

.playlist{
    position: absolute;
    top: 232px;
    height: 1.2rem;
}
.playlist i{

    font-size: 0.6rem;
    border: 1px solid gray;
    padding: 5px;
    position: relative;
    bottom: 3px;
    background-color: gray;
    color: black;


}
.playlist a{
    color: white;
    font-size: 1.2rem;
}

.likedsongs{
    position: absolute;
    top: 267px;
}

.likedsongs i{
    font-size: 0.6rem;
    padding: 5px;
    position: relative;
    bottom: 2px;
    background:linear-gradient(120deg,blue ,rgb(204, 204, 57) )
}

.likedsongs a{
    color: white;
    font-size: 1.2rem;
}


/* small view of menu bar using check box */
.nav-links1{
    display: none;
    position: absolute;
    left: 167px;

}



.checkbtn{
    font-size: 30px;
    color: white;
    cursor: pointer;
    position: absolute;
    right: 15px;
    top: 20px;

}


#check
{
    display: none;
}


#check:checked ~ .container  header{
     transform: translateX(-155px);
}

#check:checked ~ .container header .nav-links{
    
   
    display: none;
}
#check:checked ~ .container  header .nav-links1{
   
    display: block;
}

/* nav-bar slide when screen is small */
@media screen and (max-width:700px)
{
    header{
        transform: translateX(-155px);
    }
    .nav-links{
        display: none;
    }
    .nav-links1{
        display: block;
    }
    .container .main{
   
        width:1000px;
        margin-left:-155px;
        margin-right: 0%;
        width:70%;
          
      }
}

@media  screen and (max-width:600px) {
    header{
        transform: translateX(-155px);
    }
    .nav-links{
        display: none;
    }
    .nav-links1{
        display: block;
    }
    .container .main{
   
        width:400px;
        margin-left:-155px;
        margin-right: 0%;
        width:70%;
          
      }
      .latest-release{
          height: auto;
      }
      .latest-release-block{
          height: auto;
          display: flex;
          flex-wrap: nowrap;
      }
}

 
/* ----------------------------------------------- */



/* right bar */
/* queue section  */

/* main div of queue */
.right-bar{
    /* position: fixed;
    top: 0px;
    right: 0px; */
    position: relative;
    height: 98vh;
    width: 350px;
    min-width: 350px;
}

.right-bar h1{
    margin-top: 20px;
    font-size:2rem;
    color: white;
    
}

.user{
    position: absolute;
    top: 20px;
    right: 40px;
    height: 40px;
    width: 40px;
    background-color: white;
    display: flex;
    flex-direction: row;
    justify-items: center;
    align-items: center;
    border-radius: 50%;
} 

.user i{
    color: black;
    font-size: 1.5rem;
    width: 100%;
    text-align: center;
}

#queue{
    position: absolute;
    top: 5vh;
    left: 12rem;
    color: white;
    border: none;
    background-color: transparent;
    outline: none;
    width: 80px;
    cursor: pointer;
}

#queue option{
    color: black;
}

.queue{
    height: 87vh;
    width: 100%;
    overflow: scroll;
    margin-top: 15px;
    margin-bottom: 20px;
}
.queue::-webkit-scrollbar {
    display: none;
}

.queue-songs{
    margin: 20px 10px 20px 0;
    position: relative;
    height: 4rem;
    width: 95%;
    background-color: #413939;
    border-radius: 6px;
}
.queue-songs img{
    position: absolute;
    margin: 0.5rem 1.8rem;
    height: 3rem;
    width: 3rem;
    border-radius: 0.5rem;
}
.queue-songs p{
    position: absolute;
    display: inline-block;
    color: white;
}
.queue-songs p:nth-child(1){
    top: 1.5rem;
    left: 0.3rem;
    font-size: 1rem;
    color: #c7b3b3;
}
.queue-songs p:nth-child(3){
    font-size: 1.1rem;
    top: 0.8rem;
    left: 5.7rem;
    color: white;
    font-weight:500;
}

.queue-songs p:nth-child(4){
    top: 2rem;
    font-size: 1rem;
    left: 5.7rem;
    color: #d4c7c7;
    font-weight: lighter;
}

#likebtn{
    display: none;
}
#likebtn:checked ~ .likebtn i{
    color: red;
}

.likebtn{
    position: absolute;
    top: 1.4rem;
    right: 3rem;
    cursor: pointer;
}

.likebtn i{
    font-size: 1.2rem;
}


/* main section of home tab */
.main{
    position: relative;
    height: 100vh;
    width: 60%;
    /* background-color: rgb(104, 95, 95); */
}

#check:checked ~ .container .main{
   
  width:1000px;
  margin-left:-165px;
  margin-right: 0%;
  width:70%;
    
}

.home{
    margin-top: 7%;
    height: 90%;
    width: 100%;
    overflow: scroll;
}


/* Now home screen full */
.banner{
    display: flex;
    position: relative;
    justify-content: space-around;
    flex-direction: row;
    flex-wrap: nowrap;
    margin-top: 2vh;
    margin-bottom: 4vh;
    height: 26%;
    width: 100%;
}


.banner-card{
    box-sizing: border-box;
    position: relative;
    display: flex;
    height: 100%;
    width: 260px;
    transform: translateY(0);
    
}

.banner-card img{
    position: absolute;
    top:0;
    left: 0;
    background-size: cover;
    height: 100%;
    width: 100%;
    box-shadow: 0 0 8px 3px white;  
    transition: transform 0.4s ease-in-out ;

}



.banner-card :hover{
    transform: translateY(-10px);
    
}



/* latest release */

.latest-release{
    /* height: 45%; */
    height: auto;
    width: 100%;
    /* margin-top: 3%; */
    /* margin-bottom: 1.5%; */

}

.latest-release p{
    font-size: 1.3rem;
    color: white;
    padding: 0.2rem;
    margin-bottom: 0.5%;
    margin-top: 0.5%;
}

.latest-release-block{
    /* height: 88%; */
    height: auto;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content:space-around;
    flex-wrap: nowrap;

}
.latest-release-card{
    position: relative;
    height: 250px;
    width: 200px;
    background-color: #2c2828;

}
.latest-release-card img{
    height: 68%;
    width: 86%;
    padding: 7%;
}
.latest-release-card p:nth-child(1){
    position: absolute;
    top: 77%;
    left: 6%;
}

.latest-release-card p:nth-child(2){
    position: absolute;
    top: 88%;
    left: 6%;
    font-size: 1rem;
    color: rgb(223, 206, 206);
}

.latest-release-card-filter{
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.latest-release-card-filter input{
    display: none;
}

.play-button{
    position: absolute;
    bottom: 30%;
    right: 10%;
    background-color: rgb(32, 170, 32);
    height: 2.5rem;
    width: 2.5rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    display: none;
    cursor: pointer;
    text-decoration: none;
}

.play-button i{
    font-size: 1rem;
}

.latest-release-card-filter:hover{

    background-color: rgba(83, 80, 80, 0.424);
}

.latest-release-card-filter:hover .play-button{
    display: flex;
}


/* POPULAR ARTIST SECTION */


/* image round  */
.image-round{
    border-radius: 50%;
}

.home::-webkit-scrollbar {
    display: none;
}



/* PLAYING BAR */

.play-bar{
    position: fixed;
    height: 10vh;
    width: 100vw;
    bottom: 0;
    background-color: rgb(47, 47, 47);
}

.play-bar-block{
    position: relative;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
}


.song-control{
    position: absolute;
    height: 100%;
    width: 40vw;
    margin-left: 30vw;
}
.play-toggle{
    height: 2rem;
    width: 2rem;
    border-radius: 50%;
    background-color: white;
    position: relative;
}
.play-toggle i{
    color: black;
    position: absolute;
    left: 1.5vh;
}

.song-control-block i{
    margin-top: 1.3vh;
    font-size: 0.8rem;
}

.song-control-block{
    display: flex;
    width: 12vw;
    flex-direction: row;
    justify-content: space-between;
    margin-left: 14vw;
    margin-top: 1.5vh;
}
.song-timeline{
    width: 100%;
}

.dummy-range{
    position: relative;
    margin-top: 1.8vh;
    height: 0.2rem;
    background-color: rgb(107, 103, 103);
}

.song-timeline input{
    position: absolute;
    /* display: none; */
    width: 100%;
    height: 0.2rem;
}

.song-timeline:hover input{
    display: block;
}

.volume{
    position: absolute;
    top: 3.4vh;
    right: 2vw;
}
.volume i{
    margin-right: 0.5vw;
}
.volume input{
    position: relative;
    top: -0.6vh;
    height: 0.2rem;
    width: 100px;
}

#real-song-play{
    display: none;
}




.pause{
    display: none;
}

#real-song-play:checked ~ .real-song-play .pause{
    display: inline;
}

#real-song-play:checked ~ .real-song-play .play{
    display: none;
}

.play-toggle:hover{
    background-color: #d3adad;
}


.song-playing{
    position: absolute;

    height: 100%;
    width: 20vw;
}

.song-playing img{
    margin: 10px;
    height: 50px;
    width: 50px;
}

.song-playing p{
    position: absolute;
    top: 3vh;
    left: 5.5vw;
    color: white;
}

.song-playing p:nth-child(3)
{   
    font-weight: thin;
    font-size: 0.8rem;
    top: 6vh;
}
.song-playing i{
    position: absolute;
    top: 3.5vh;
    left: 12vw;
}



/* .search-window{
   margin-top: 0;
} */








.search{
    position: fixed;
    top: 3.4vh;
    right: 34vw;
    background-color: #42474b;
    height: 5vh;
    width: 230px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 2.5vh;
}
.search button {
    border: none;
    background: none;
    margin:2.5%;
    color: white;
    cursor: pointer;
}
.search input{
        background: transparent;
        border: none;
        outline: none;
        color: white;
}

.search button:hover{
    color: rgb(168, 138, 138);
}

.bell {
    color: white;
    font-size: 1.5rem;
    position:fixed;
    top: 3.5vh;
    left: 68vw;
    cursor: pointer;

    height: 30px;
    width: 30px;
    background-color: rgb(53, 50, 50);
    display: flex;
    flex-direction: row;
    justify-content: center;
    text-align: center;
    border-radius: 50%;


}

.bell i{
    margin-top: 5px;
    height: 10px;
}
.profile{
    border-radius: 50%;
    height: 3rem;
    width: 3rem;
    position: absolute;
    right: 4%;
}

.profile img{
    border-radius: 50%;

    height:100%;
    width: 100%;
}

#play:checked ~ .play-bar{
    display: block;
}
.play-bar{
    display: none;
}

#play{
    display: none;
}